JBoss API: Class SessionMetaData

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class SessionMetaData

    java.lang.Object
      |
      +--org.jboss.metadata.MetaData
            |
            +--org.jboss.metadata.BeanMetaData
                  |
                  +--org.jboss.metadata.SessionMetaData

All Implemented Interfaces:
  java.lang.Cloneable, XmlLoadable

public class SessionMetaData
extends BeanMetaData

The meta data information specific to session beans.

Version:
  $Revision: 1.5.4.1 $
Author:
  Sebastien Alborini, Scott_Stark@displayscape.com

Fields inherited from class org.jboss.metadata.BeanMetaData
`beanType, configurationName, containerManagedTx, ENTITY_TYPE, MDB_TYPE, SESSION_TYPE`

Fields inherited from class org.jboss.metadata.MetaData
`TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`SessionMetaData(ApplicationMetaData app)`

Method Summary
`java.lang.String` | `getDefaultConfigurationName()`
`void` | `importEjbJarXml(org.w3c.dom.Element element)`
`boolean` | `isBeanManagedTx()`
`boolean` | `isContainerManagedTx()`
`boolean` | `isStateful()`
`boolean` | `isStateless()`

Methods inherited from class org.jboss.metadata.BeanMetaData
`addExcludedMethod, addPermissionMethod, addTransactionMethod, getApplicationMetaData, getConfigurationName, getContainerConfiguration, getEjbClass, getEjbLocalRefByName, getEjbLocalReferences, getEjbName, getEjbRefByName, getEjbReferences, getEnvironmentEntries, getExcludedMethods, getHome, getJndiName, getLocal, getLocalHome, getLocalJndiName, getMethodPermissions, getMethodTransactionType, getPermissionMethods, getRemote, getResourceEnvReferences, getResourceReferences, getSecurityIdentityMetaData, getSecurityProxy, getSecurityRoleReferences, getTransactionMethods, importJbossXml, isEntity, isMessageDriven, isSession, trim`

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementContent, getElementContent, getOptionalChild, getOptionalChild, getUniqueChild, importXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionMetaData

    public SessionMetaData(ApplicationMetaData app)

Method Detail

### isStateful

    public boolean isStateful()

### isStateless

    public boolean isStateless()

### isContainerManagedTx

    public boolean isContainerManagedTx()

  Overrides:
    `isContainerManagedTx` in class `BeanMetaData`

### isBeanManagedTx

    public boolean isBeanManagedTx()

  Overrides:
    `isBeanManagedTx` in class `BeanMetaData`

### getDefaultConfigurationName

    public java.lang.String getDefaultConfigurationName()

  Overrides:
    `getDefaultConfigurationName` in class `BeanMetaData`

### importEjbJarXml

    public void importEjbJarXml(org.w3c.dom.Element element)
                         throws DeploymentException

  Overrides:
    `importEjbJarXml` in class `BeanMetaData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.